#ifndef _H_TIMER
#define _H_TIMER

#include "report.h"
#include <X11/Intrinsic.h>

#define NUM_TIMERS 10


typedef struct
{
    ulong       timerValue;
    ulong       pixmapIndex;
    Widget      nameWidget;
    Widget      timeDisplayWidget;
    Widget      percentDisplayWidget;
    Widget      displayForm;
    Widget      controlWidget;
    Widget      indicatorWidget;
    Widget      idiotForm;
    Widget      controlForm;
    Widget      resetWidget;
    int         percentValue;
    char        exclusive;
    char        enabled;
    char        needUpdate;
    tEventType  eventType;
} tTimer;


extern tTimer *gTimerList[NUM_TIMERS];
extern Pixmap  gCheckedPixmap, gUncheckedPixmap;

void SetRightFooter(char *);
void SetLeftFooter(char *);


#endif
